#include <string.h>
#include "UA_PLC.h"

UA_Client *client;

u32 CA_Connect(long *ConnectionHdl,TIME timeout){
	UA_Client *c = UA_Client_new();
	UA_StatusCode flag = UA_ClientConfig_setDefault(UA_Client_getConfig(c));
	UA_ClientConfig *config=UA_Client_getConfig(c);

	config->securityMode=1;
    config->timeout = timeout;
	if (flag == UA_STATUSCODE_GOOD) {
		flag=UA_Client_connect(c, "opc.tcp://localhost:4840");

	}else
	{
		UA_Client_delete(c);
		//memset(c,0,100);
		return flag;
	}
	client = c;
	*ConnectionHdl = (long *)c;
	printf("ConnectionHdl %lld \n",*ConnectionHdl);
	return flag;
}

int main(int argc, char *argv[]) {
    long *hdl;
    TIME timeout = 200000;
    CA_Connect(*hdl,timeout);
    while(1)
    {
        
    }
}